#pragma once

#include <string> // Para string
#include <vector> // Para vector

class RoomTracker
{
private:
	// Variables
	std::vector<std::string> list; // Lista con las habitaciones visitadas

	// Comprueba si la habitación ya ha sido visitada
	bool hasBeenVisited(const std::string &name);

public:
	// Constructor
	RoomTracker() = default;

	// Destructor
	~RoomTracker() = default;

	// Añade la habitación a la lista
	bool addRoom(const std::string &name);
};
